//
// Created by jholder on 21.10.21.
//

#pragma once

#include <random>

class Simulation {
   public:
    explicit Simulation(double t_delta_T, size_t seed);
    double getNorm(double t_norm);

   private:
    double m_delta_T;
    double m_std;
    std::mt19937_64 m_generator;
    std::normal_distribution<double> m_norm;

public:
    [[nodiscard]] double getMDeltaT() const;
    [[nodiscard]] double getSTD() const;
};
